#include "F:\\___CQWORK\\_WizC12Std\\109\\ArSen_Auto.h"


// *** Input File - D:\Program Files\FED12STD\PIXIE\APPWIZ\Misc.c

#ifdef SimpButUsed	// Common code for all buttons
#pragma asm
	; MFORCEPAGE D'64'
	
SBMacro	MACRO
	 if _SimpButnCopy>0
	  SETPCLATH SBCount0,SBT0Of
	  call SBCount0
	 endif
	 if _SimpButnCopy>1
	  SETPCLATH SBCount1,SBCount0
	  call SBCount1
	 endif
	 if _SimpButnCopy>2
	  SETPCLATH SBCount2,SBCount1
	  call SBCount2
	 endif
	 if _SimpButnCopy>3
	  SETPCLATH SBCount3,SBCount2
	  call SBCount3
	 endif
	 if _SimpButnCopy>4
	  SETPCLATH SBCount4,SBCount3
	  call SBCount4
	 endif
	 if _SimpButnCopy>5
	  SETPCLATH SBCount5,SBCount4
	  call SBCount5
	 endif
	 if _SimpButnCopy>6
	  SETPCLATH SBCount6,SBCount5
	  call SBCount6
	 endif
	 if _SimpButnCopy>7
	  SETPCLATH SBCount7,SBCount6
	  call SBCount7
	 endif
	 if _SimpButnCopy>8
	  SETPCLATH SBCount8,SBCount7
	  call SBCount8
	 endif
	 if _SimpButnCopy>9
	  SETPCLATH SBCount9,SBCount8
	  call SBCount9
	 endif
	 if _SimpButnCopy>D'10'
	  SETPCLATH SBCount10,SBCount9
	  call SBCount10
	 endif
	 if _SimpButnCopy>D'11'
	  SETPCLATH SBCount11,SBCount10
	  call SBCount11
	 endif
	 if _SimpButnCopy>D'12'
	  SETPCLATH SBCount12,SBCount11
	  call SBCount12
	 endif
	 if _SimpButnCopy>D'13'
	  SETPCLATH SBCount13,SBCount12
	  call SBCount13
	 endif
	 if _SimpButnCopy>D'14'
	  SETPCLATH SBCount14,SBCount13
	  call SBCount14
	 endif
	 if _SimpButnCopy>D'15'
	  SETPCLATH SBCount15,SBCount14
	  call SBCount15
	 endif
	endm
	
	module "SBT0Of"
SBT0Of::
	decfsz SBPreScalar
	goto RetSBT0
	movlw _SBPreScalarCnt
	movwf SBPreScalar
	SBMacro
RetSBT0	MRET 0
	endmodule
#pragma asmend
#endif
#ifdef SimpButUsed	// %% Shows duplication for each instance
#pragma asm
	module "SBCount0"
	; MFORCEPAGE D'40'
;
; Come here every time pre-scalar times out 
;
SBCount0::
	tstf SBStatus0		; If zero then switch currently open
	skpz
	goto SBTO0
	#if Invert0==0
	 btfsc _SBIn0Port,_SBIn0Bit	; Is it low ?
	#else
	 btfss _SBIn0Port,_SBIn0Bit	; Is it high ?
	#endif
	return
	#if EnableRepeat0==1
	 movlw (_SBInitCnt|H'80')		; Show we are in initial delay
	#else
	 movlw H'80'
	#endif
	movwf SBStatus0
	goto SBRetOc0
;
; Switch pressed last time
;
SBTO0:	
   	btfsc SBStatus0,7
   	goto SBChkHI0
	decf SBStatus0			; Debounce counter from switch Hi
	return
SBChkHI0:
	#if Invert0==0
	 btfss _SBIn0Port,_SBIn0Bit	; Closed ?
	#else
	 btfss _SBIn0Port,_SBIn0Bit	; Closed ?
	#endif
	goto SBTimes0
	movlw _SBDebounceCnt		; Switch now high - so debounce
	movwf SBStatus0
	ifdef _SBRelease0Used
	 bsf _SBRelease0Flag,_SBRelease0FlagBit
	endif
	return
SBTimes0:
	#if EnableRepeat0==1
	decf SBStatus0,w
	andlw H'7f'
	movwf SBStatus0
	bsf SBStatus0,7
	skpz
	#endif
	return
	#if EnableRepeat0==1
	movlw (_SBRepCnt|H'80')			; Show we are in initial delay
	movwf SBStatus0
	#endif
SBRetOc0:
	ifdef _SBPress0Used
	 bsf _SBPress0Flag,_SBPress0FlagBit	; Occurrence
	endif
	return
	endmodule
#pragma asmend
#endif
#ifdef SimpButUsed	// %% Shows duplication for each instance
#pragma asm
	module "SBCount1"
	; MFORCEPAGE D'40'
;
; Come here every time pre-scalar times out 
;
SBCount1::
	tstf SBStatus1		; If zero then switch currently open
	skpz
	goto SBTO1
	#if Invert1==0
	 btfsc _SBIn1Port,_SBIn1Bit	; Is it low ?
	#else
	 btfss _SBIn1Port,_SBIn1Bit	; Is it high ?
	#endif
	return
	#if EnableRepeat1==1
	 movlw (_SBInitCnt|H'80')		; Show we are in initial delay
	#else
	 movlw H'80'
	#endif
	movwf SBStatus1
	goto SBRetOc1
;
; Switch pressed last time
;
SBTO1:	
   	btfsc SBStatus1,7
   	goto SBChkHI1
	decf SBStatus1			; Debounce counter from switch Hi
	return
SBChkHI1:
	#if Invert1==0
	 btfss _SBIn1Port,_SBIn1Bit	; Closed ?
	#else
	 btfss _SBIn1Port,_SBIn1Bit	; Closed ?
	#endif
	goto SBTimes1
	movlw _SBDebounceCnt		; Switch now high - so debounce
	movwf SBStatus1
	ifdef _SBRelease1Used
	 bsf _SBRelease1Flag,_SBRelease1FlagBit
	endif
	return
SBTimes1:
	#if EnableRepeat1==1
	decf SBStatus1,w
	andlw H'7f'
	movwf SBStatus1
	bsf SBStatus1,7
	skpz
	#endif
	return
	#if EnableRepeat1==1
	movlw (_SBRepCnt|H'80')			; Show we are in initial delay
	movwf SBStatus1
	#endif
SBRetOc1:
	ifdef _SBPress1Used
	 bsf _SBPress1Flag,_SBPress1FlagBit	; Occurrence
	endif
	return
	endmodule
#pragma asmend
#endif

		








                                                        
