#line 1 "D:/Program Files/FED12STD/PIXIE/PreProc.C"
#line 3 "D:/Program Files/FED12STD/PIXIE/Libs/ProcIncs/P16F648A.h"
typedef unsigned char BYTE;
typedef unsigned char FileReg;
typedef unsigned int WORD;
typedef unsigned long ulong;
#line 85
extern FileReg INDF ;
extern FileReg TMR0 ;
extern FileReg PCL ;
extern FileReg STATUS ;
extern FileReg FSR ;
extern FileReg PORTA ;
extern FileReg PORTB ;
extern FileReg PCLATH ;
extern FileReg INTCON ;
extern FileReg PIR1 ;
extern FileReg TMR1L ;
extern FileReg TMR1H ;
extern FileReg T1CON ;
extern FileReg TMR2 ;
extern FileReg T2CON ;
extern FileReg CCPR1L ;
extern FileReg CCPR1H ;
extern FileReg CCP1CON ;
extern FileReg RCSTA ;
extern FileReg TXREG ;
extern FileReg RCREG ;
extern FileReg CMCON ;
extern FileReg OPTION_REG ;
extern FileReg TRISA ;
extern FileReg TRISB ;
extern FileReg PIE1 ;
extern FileReg PCON ;
extern FileReg PR2 ;
extern FileReg TXSTA ;
extern FileReg SPBRG ;
extern FileReg EEDATA ;
extern FileReg EEADR ;
extern FileReg EECON1 ;
extern FileReg EECON2 ;
extern FileReg VRCON ;

#pragma locate INDF 0x0000
#pragma locate TMR0 0x0001
#pragma locate PCL 0x0002
#pragma locate STATUS 0x0003
#pragma locate FSR 0x0004
#pragma locate PORTA 0x0005
#pragma locate PORTB 0x0006
#pragma locate PCLATH 0x000A
#pragma locate INTCON 0x000B
#pragma locate PIR1 0x000C
#pragma locate TMR1L 0x000E
#pragma locate TMR1H 0x000F
#pragma locate T1CON 0x0010
#pragma locate TMR2 0x0011
#pragma locate T2CON 0x0012
#pragma locate CCPR1L 0x0015
#pragma locate CCPR1H 0x0016
#pragma locate CCP1CON 0x0017
#pragma locate RCSTA 0x0018
#pragma locate TXREG 0x0019
#pragma locate RCREG 0x001A
#pragma locate CMCON 0x001F
#pragma locate OPTION_REG 0x0081
#pragma locate TRISA 0x0085
#pragma locate TRISB 0x0086
#pragma locate PIE1 0x008C
#pragma locate PCON 0x008E
#pragma locate PR2 0x0092
#pragma locate TXSTA 0x0098
#pragma locate SPBRG 0x0099
#pragma locate EEDATA 0x009A
#pragma locate EEADR 0x009B
#pragma locate EECON1 0x009C
#pragma locate EECON2 0x009D
#pragma locate VRCON 0x009F
#line 158
enum T_STATUS {
IRP =0x0007,RP1 =0x0006,RP0 =0x0005,NOT_TO =0x0004,NOT_PD =0x0003,Z =0x0002,DC =0x0001,C =0x0000
};

enum T_INTCON {
GIE =0x0007,PEIE =0x0006,T0IE =0x0005,INTE =0x0004,RBIE =0x0003,T0IF =0x0002,INTF =0x0001,RBIF =0x0000
};

enum T_PIR1 {
EEIF=7,CMIF =0x0006,RCIF=5,TXIF=4,CCP1IF=2,TMR2IF=1,TMR1IF=0
};

enum T_T1CON {
T1CKPS1 =0x0005,T1CKPS0 =0x0004,T1OSCEN =0x0003,NOT_T1SYNC =0x0002,TMR1CS =0x0001,TMR1ON =0x0000
};

enum T_T2CON {
TOUTPS3 =0x0006,TOUTPS2 =0x0005,TOUTPS1 =0x0004,TOUTPS0 =0x0003,TMR2ON =0x0002,T2CKPS1 =0x0001,T2CKPS0 =0x0000
};

enum T_CCP1CON {
CCP1X =0x0005,CCP1Y =0x0004,CCP1M3 =0x0003,CCP1M2 =0x0002,CCP1M1 =0x0001,CCP1M0 =0x0000
};

enum T_RCSTA {
SPEN =0x0007,RX9 =0x0006,SREN =0x0005,CREN =0x0004,ADDEN =0x0003,FERR =0x0002,OERR =0x0001,RX9D =0x0000
};

enum T_CMCON {
C2OUT=0x0007,C1OUT=0x0006,C2INV=0x0005,C1INV=0x0004,
CIS=0x0003,CM2=0x0002,CM1=0x0001,CM0=0x0000
};

enum T_OPTION {
NOT_RBPU =0x0007,INTEDG =0x0006,T0CS =0x0005,T0SE =0x0004,PSA =0x0003,PS2 =0x0002,PS1 =0x0001,PS0 =0x0000
};

enum T_PIE1 {
EEIE =0x0007,CMIE =0x0006,RCIE =0x0005,TXIE =0x0004,CCP1IE =0x0002,
TMR2IE =0x0001,TMR1IE =0x0000
};

enum T_PCON {
OSCF=0x0003,NOT_POR =0x0001,NOT_BO =0x0000
};

enum T_TXSTA {
CSRC =0x0007,TX9 =0x0006,TXEN =0x0005,SYNC =0x0004,BRGH =0x0002,TRMT =0x0001,TX9D =0x0000
};

enum T_EECON1 {
WRERR =0x0003,WREN =0x0002,WR =0x0001,RD =0x0000
};

enum T_VRCON {

VREN=7,VROE=6,VRR=5,VR3=0x3,VR2=0x2,VR1=0x1,VR0=0
};
#line 220
struct sPort
{
unsigned char B0:1;
unsigned char B1:1;
unsigned char B2:1;
unsigned char B3:1;
unsigned char B4:1;
unsigned char B5:1;
unsigned char B6:1;
unsigned char B7:1;
};

extern sPort PA;
#pragma locate PA 5
extern sPort PB;
#pragma locate PB 6
extern sPort PC;
#pragma locate PC 7
extern sPort PD;
#pragma locate PD 8
extern sPort PE;
#pragma locate PE 9
#line 5 "D:/Program Files/FED12STD/PIXIE/Libs/ProcIncs/P16F648A_bits.h"
extern bit bC;
#pragma locate bC &STATUS,0x00
extern bit bDC;
#pragma locate bDC &STATUS,0x01
extern bit bIRP;
#pragma locate bIRP &STATUS,0x07
extern bit bNOT_PD;
#pragma locate bNOT_PD &STATUS,0x03
extern bit bNOT_TO;
#pragma locate bNOT_TO &STATUS,0x04
extern bit bRP0;
#pragma locate bRP0 &STATUS,0x05
extern bit bRP1;
#pragma locate bRP1 &STATUS,0x06
extern bit bZ;
#pragma locate bZ &STATUS,0x02

extern bit bGIE;
#pragma locate bGIE &INTCON,0x07
extern bit bINTE;
#pragma locate bINTE &INTCON,0x04
extern bit bINTF;
#pragma locate bINTF &INTCON,0x01
extern bit bPEIE;
#pragma locate bPEIE &INTCON,0x06
extern bit bRBIE;
#pragma locate bRBIE &INTCON,0x03
extern bit bRBIF;
#pragma locate bRBIF &INTCON,0x00
extern bit bT0IE;
#pragma locate bT0IE &INTCON,0x05
extern bit bT0IF;
#pragma locate bT0IF &INTCON,0x02

extern bit bCCP1IF;
#pragma locate bCCP1IF &PIR1,0x02
extern bit bCMIF;
#pragma locate bCMIF &PIR1,0x06
extern bit bEEIF;
#pragma locate bEEIF &PIR1,0x07
extern bit bRCIF;
#pragma locate bRCIF &PIR1,0x05
extern bit bTMR1IF;
#pragma locate bTMR1IF &PIR1,0x00
extern bit bTMR2IF;
#pragma locate bTMR2IF &PIR1,0x01
extern bit bTXIF;
#pragma locate bTXIF &PIR1,0x04

extern bit bNOT_T1SYNC;
#pragma locate bNOT_T1SYNC &T1CON,0x02
extern bit bT1CKPS0;
#pragma locate bT1CKPS0 &T1CON,0x04
extern bit bT1CKPS1;
#pragma locate bT1CKPS1 &T1CON,0x05
extern bit bT1OSCEN;
#pragma locate bT1OSCEN &T1CON,0x03
extern bit bTMR1CS;
#pragma locate bTMR1CS &T1CON,0x01
extern bit bTMR1ON;
#pragma locate bTMR1ON &T1CON,0x00

extern bit bT2CKPS0;
#pragma locate bT2CKPS0 &T2CON,0x00
extern bit bT2CKPS1;
#pragma locate bT2CKPS1 &T2CON,0x01
extern bit bTMR2ON;
#pragma locate bTMR2ON &T2CON,0x02
extern bit bTOUTPS0;
#pragma locate bTOUTPS0 &T2CON,0x03
extern bit bTOUTPS1;
#pragma locate bTOUTPS1 &T2CON,0x04
extern bit bTOUTPS2;
#pragma locate bTOUTPS2 &T2CON,0x05
extern bit bTOUTPS3;
#pragma locate bTOUTPS3 &T2CON,0x06

extern bit bCCP1M0;
#pragma locate bCCP1M0 &CCP1CON,0x00
extern bit bCCP1M1;
#pragma locate bCCP1M1 &CCP1CON,0x01
extern bit bCCP1M2;
#pragma locate bCCP1M2 &CCP1CON,0x02
extern bit bCCP1M3;
#pragma locate bCCP1M3 &CCP1CON,0x03
extern bit bCCP1X;
#pragma locate bCCP1X &CCP1CON,0x05
extern bit bCCP1Y;
#pragma locate bCCP1Y &CCP1CON,0x04

extern bit bADEN;
#pragma locate bADEN &RCSTA,0x03
extern bit bCREN;
#pragma locate bCREN &RCSTA,0x04
extern bit bFERR;
#pragma locate bFERR &RCSTA,0x02
extern bit bOERR;
#pragma locate bOERR &RCSTA,0x01
extern bit bRX9;
#pragma locate bRX9 &RCSTA,0x06
extern bit bRX9D;
#pragma locate bRX9D &RCSTA,0x00
extern bit bSPEN;
#pragma locate bSPEN &RCSTA,0x07
extern bit bSREN;
#pragma locate bSREN &RCSTA,0x05

extern bit bC1INV;
#pragma locate bC1INV &CMCON,0x04
extern bit bC1OUT;
#pragma locate bC1OUT &CMCON,0x06
extern bit bC2INV;
#pragma locate bC2INV &CMCON,0x05
extern bit bC2OUT;
#pragma locate bC2OUT &CMCON,0x07
extern bit bCIS;
#pragma locate bCIS &CMCON,0x03
extern bit bCM0;
#pragma locate bCM0 &CMCON,0x00
extern bit bCM1;
#pragma locate bCM1 &CMCON,0x01
extern bit bCM2;
#pragma locate bCM2 &CMCON,0x02

extern bit bINTEDG;
#pragma locate bINTEDG &OPTION_REG,0x06
extern bit bNOT_RBPU;
#pragma locate bNOT_RBPU &OPTION_REG,0x07
extern bit bPS0;
#pragma locate bPS0 &OPTION_REG,0x00
extern bit bPS1;
#pragma locate bPS1 &OPTION_REG,0x01
extern bit bPS2;
#pragma locate bPS2 &OPTION_REG,0x02
extern bit bPSA;
#pragma locate bPSA &OPTION_REG,0x03
extern bit bT0CS;
#pragma locate bT0CS &OPTION_REG,0x05
extern bit bT0SE;
#pragma locate bT0SE &OPTION_REG,0x04

extern bit bCCP1IE;
#pragma locate bCCP1IE &PIE1,0x02
extern bit bCMIE;
#pragma locate bCMIE &PIE1,0x06
extern bit bEEIE;
#pragma locate bEEIE &PIE1,0x07
extern bit bRCIE;
#pragma locate bRCIE &PIE1,0x05
extern bit bTMR1IE;
#pragma locate bTMR1IE &PIE1,0x00
extern bit bTMR2IE;
#pragma locate bTMR2IE &PIE1,0x01
extern bit bTXIE;
#pragma locate bTXIE &PIE1,0x04

extern bit bNOT_BO;
#pragma locate bNOT_BO &PCON,0x00
extern bit bNOT_BOR;
#pragma locate bNOT_BOR &PCON,0x00
extern bit bNOT_POR;
#pragma locate bNOT_POR &PCON,0x01
extern bit bOSCF;
#pragma locate bOSCF &PCON,0x03

extern bit bBRGH;
#pragma locate bBRGH &TXSTA,0x02
extern bit bCSRC;
#pragma locate bCSRC &TXSTA,0x07
extern bit bSYNC;
#pragma locate bSYNC &TXSTA,0x04
extern bit bTRMT;
#pragma locate bTRMT &TXSTA,0x01
extern bit bTX9;
#pragma locate bTX9 &TXSTA,0x06
extern bit bTX9D;
#pragma locate bTX9D &TXSTA,0x00
extern bit bTXEN;
#pragma locate bTXEN &TXSTA,0x05

extern bit bRD;
#pragma locate bRD &EECON1,0x00
extern bit bWR;
#pragma locate bWR &EECON1,0x01
extern bit bWREN;
#pragma locate bWREN &EECON1,0x02
extern bit bWRERR;
#pragma locate bWRERR &EECON1,0x03

extern bit bVR0;
#pragma locate bVR0 &VRCON,0x00
extern bit bVR1;
#pragma locate bVR1 &VRCON,0x01
extern bit bVR2;
#pragma locate bVR2 &VRCON,0x02
extern bit bVR3;
#pragma locate bVR3 &VRCON,0x03
extern bit bVREN;
#pragma locate bVREN &VRCON,0x07
extern bit bVROE;
#pragma locate bVROE &VRCON,0x06
extern bit bVRR;
#pragma locate bVRR &VRCON,0x05
#line 9 "D:/Program Files/FED12STD/PIXIE/Libs/PortBits.h"
extern bit bRA0,bRA1,bRA2,bRA3,bRA4,bRA5,bRA6,bRA7;
extern bit bTRA0,bTRA1,bTRA2,bTRA3,bTRA4,bTRA5,bTRA6,bTRA7;
extern bit bRB0,bRB1,bRB2,bRB3,bRB4,bRB5,bRB6,bRB7;
extern bit bTRB0,bTRB1,bTRB2,bTRB3,bTRB4,bTRB5,bTRB6,bTRB7;
extern bit bRC0,bRC1,bRC2,bRC3,bRC4,bRC5,bRC6,bRC7;
extern bit bTRC0,bTRC1,bTRC2,bTRC3,bTRC4,bTRC5,bTRC6,bTRC7;
extern bit bRD0,bRD1,bRD2,bRD3,bRD4,bRD5,bRD6,bRD7;
extern bit bTRD0,bTRD1,bTRD2,bTRD3,bTRD4,bTRD5,bTRD6,bTRD7;
extern bit bRE0,bRE1,bRE2,bRE3,bRE4,bRE5,bRE6,bRE7;
extern bit bTRE0,bTRE1,bTRE2,bTRE3,bTRE4,bTRE5,bTRE6,bTRE7;
#line 21
#pragma locate bRA0 5,0
#pragma locate bRA1 5,1
#pragma locate bRA2 5,2
#pragma locate bRA3 5,3
#pragma locate bRA4 5,4
#pragma locate bRA5 5,5
#pragma locate bRA6 5,6
#pragma locate bRA7 5,7
#pragma locate bRB0 6,0
#pragma locate bRB1 6,1
#pragma locate bRB2 6,2
#pragma locate bRB3 6,3
#pragma locate bRB4 6,4
#pragma locate bRB5 6,5
#pragma locate bRB6 6,6
#pragma locate bRB7 6,7
#pragma locate bRC0 7,0
#pragma locate bRC1 7,1
#pragma locate bRC2 7,2
#pragma locate bRC3 7,3
#pragma locate bRC4 7,4
#pragma locate bRC5 7,5
#pragma locate bRC6 7,6
#pragma locate bRC7 7,7
#pragma locate bRD0 8,0
#pragma locate bRD1 8,1
#pragma locate bRD2 8,2
#pragma locate bRD3 8,3
#pragma locate bRD4 8,4
#pragma locate bRD5 8,5
#pragma locate bRD6 8,6
#pragma locate bRD7 8,7
#pragma locate bRE0 9,0
#pragma locate bRE1 9,1
#pragma locate bRE2 9,2
#pragma locate bRE3 9,3
#pragma locate bRE4 9,4
#pragma locate bRE5 9,5
#pragma locate bRE6 9,6
#pragma locate bRE7 9,7
#pragma locate bTRA0 0x85,0
#pragma locate bTRA1 0x85,1
#pragma locate bTRA2 0x85,2
#pragma locate bTRA3 0x85,3
#pragma locate bTRA4 0x85,4
#pragma locate bTRA5 0x85,5
#pragma locate bTRA6 0x85,6
#pragma locate bTRA7 0x85,7
#pragma locate bTRB0 0x86,0
#pragma locate bTRB1 0x86,1
#pragma locate bTRB2 0x86,2
#pragma locate bTRB3 0x86,3
#pragma locate bTRB4 0x86,4
#pragma locate bTRB5 0x86,5
#pragma locate bTRB6 0x86,6
#pragma locate bTRB7 0x86,7
#pragma locate bTRC0 0x87,0
#pragma locate bTRC1 0x87,1
#pragma locate bTRC2 0x87,2
#pragma locate bTRC3 0x87,3
#pragma locate bTRC4 0x87,4
#pragma locate bTRC5 0x87,5
#pragma locate bTRC6 0x87,6
#pragma locate bTRC7 0x87,7
#pragma locate bTRD0 0x88,0
#pragma locate bTRD1 0x88,1
#pragma locate bTRD2 0x88,2
#pragma locate bTRD3 0x88,3
#pragma locate bTRD4 0x88,4
#pragma locate bTRD5 0x88,5
#pragma locate bTRD6 0x88,6
#pragma locate bTRD7 0x88,7
#pragma locate bTRE0 0x89,0
#pragma locate bTRE1 0x89,1
#pragma locate bTRE2 0x89,2
#pragma locate bTRE3 0x89,3
#pragma locate bTRE4 0x89,4
#pragma locate bTRE5 0x89,5
#pragma locate bTRE6 0x89,6
#pragma locate bTRE7 0x89,7
#line 11 "D:/Program Files/FED12STD/PIXIE/Libs/Delays.h"
void Wait(unsigned int DelayInmS);
#pragma asmfunc Wait
#line 23 "F:/___CQWORK/_WizC12Std/109/ArSen_Auto.h"
void UserInitialise();
void UserInterrupt();
void UserLoop();
#line 29
#pragma asmline _SimpButnCopy=2

#pragma asmline _PortInnCopy=5
#line 39
#pragma asmline _PortInUsed=1

#pragma asmline _PortIn4Used=1
#line 44
#pragma asmline _In4Port=PORTB
#pragma asmline _In4Bit=5
#line 52
#pragma asmline _PortIn3Used=1
#line 55
#pragma asmline _In3Port=PORTB
#pragma asmline _In3Bit=4
#line 63
#pragma asmline _PortIn2Used=1
#line 66
#pragma asmline _In2Port=PORTB
#pragma asmline _In2Bit=3
#line 74
#pragma asmline _PortIn1Used=1
#line 77
#pragma asmline _In1Port=PORTB
#pragma asmline _In1Bit=2
#line 121
#pragma asmline _SimpButUsed=1

#pragma asmline _SimpBut1Used=1
#pragma asmline _SBPress1Used=1
#pragma asmline _SBPress1Flag=Flag1
#pragma asmline _SBPress1FlagBit=0
#line 130
void PressSw2();

#pragma asmline _InitialDelay1=500

#pragma asmline _RepDelay1=250

#pragma asmline _Debounce1=60

#pragma asmline _EnableRepeat1=0

#pragma asmline _Invert1=0
#line 143
#pragma asmline _SBIn1Port=PORTB
#pragma asmline _SBIn1Bit=6
#line 151
void SBT0Of();
#line 162
#pragma asmline _SimpBut0Used=1
#pragma asmline _SBRelease0Used=1
#pragma asmline _SBRelease0Flag=Flag1
#pragma asmline _SBRelease0FlagBit=1
#line 169
void PressSw1();

#pragma asmline _InitialDelay0=500

#pragma asmline _RepDelay0=250

#pragma asmline _Debounce0=60

#pragma asmline _EnableRepeat0=0

#pragma asmline _Invert0=0
#line 182
#pragma asmline _SBIn0Port=PORTB
#pragma asmline _SBIn0Bit=7
#line 190
#pragma asmline _PortIn0Used=1
#line 193
#pragma asmline _In0Port=PORTA
#pragma asmline _In0Bit=4
#line 238
extern unsigned char register Flag1;
#line 3 "D:/Program Files/FED12STD/PIXIE/Libs/cType.h"
unsigned char isalpha(char);
unsigned char isalnum(char);
unsigned char iscntrl(char);
unsigned char isdigit(char);
unsigned char islower(char);
unsigned char isprint(char);
unsigned char ispunct(char);
unsigned char isspace(char);
unsigned char isupper(char);
unsigned char isxdigit(char);
unsigned char isascii(char);

#pragma asmfunc isalpha
#pragma asmfunc isalnum
#pragma asmfunc iscntrl
#pragma asmfunc isdigit
#pragma asmfunc islower
#pragma asmfunc isprint
#pragma asmfunc ispunct
#pragma asmfunc isspace
#pragma asmfunc isupper
#pragma asmfunc isxdigit
#pragma asmfunc isascii
#line 4 "D:/Program Files/FED12STD/PIXIE/Libs/stdlib.h"
char atoc(char *s);
unsigned char atouc(char *s);
int atoi(char *s);
unsigned int atoui(char *s);
long atol(char *s);
unsigned long atoul(char *s);
#line 12
int rand();
void srand(int seed);
#line 16
char cabs(char v);
int abs(int v);
long labs(long v);
#line 13 "D:/Program Files/FED12STD/PIXIE/Libs/Strings.h"
unsigned char CheckSum(unsigned char *s);
void *memcpy(void *s,void *d,unsigned char c);
unsigned char *strcat(unsigned char *d,unsigned char *s);
unsigned char *strchr(unsigned char *d,unsigned char c);
char strcmp(unsigned char *d,unsigned char *s);
unsigned char *strcpy(unsigned char *d,unsigned char *s);
void vstrcpy(unsigned char *d,unsigned char *s);
unsigned char strlen(unsigned char *d);
unsigned char *strlwr(unsigned char *d);
unsigned char *strupr(unsigned char *d);
unsigned char *strncpy(unsigned char *d, unsigned char *s, unsigned char n);

unsigned char rCheckSum(unsigned ram char *s);
void ram *rmemcpy(void ram *s,void *d,unsigned char c);
unsigned char ram *rstrcat(unsigned ram char *d,unsigned char *s);
unsigned char ram *rstrchr(unsigned ram char *d,unsigned char c);
char rstrcmp(unsigned ram char *d,unsigned char *s);
unsigned char ram *rstrcpy(unsigned ram char *d,unsigned char *s);
void rvstrcpy(unsigned ram char *d,unsigned char *s);
unsigned char rstrlen(unsigned ram char *d);
unsigned char ram *rstrlwr(unsigned ram char *d);
unsigned char ram *rstrupr(unsigned ram char *d);
#line 37
char *cPrtString(char *String,char n);
char *iPrtString(char *String,int n);
char *lPrtString(char *String,long n);

char *rcPrtString(char *rString,char n);
char *riPrtString(char *rString,int n);
char *rlPrtString(char *rString,long n);

unsigned char fnprintf(void (*out)(char x),char *str,...);
#pragma asmfunc fnprintf
unsigned char fnprintfsm(void (*out)(char x),char *str,...);
#pragma asmfunc fnprintfsm
unsigned char sprintf(char *Dest,char *str,...);
#pragma asmfunc sprintf

unsigned char printf(char *str,...);
#pragma asmfunc printf
unsigned char printfsm(char *str,...);
#pragma asmfunc printfsm

unsigned char sprintfsm(char *Dest,char *str,...);
#pragma asmfunc sprintfsm
#line 15 "F:/___CQWORK/_WizC12Std/Common/CommFunc.h"
typedef unsigned int WORD;
typedef unsigned char BYTE;
#line 19
void InitCommFunc(void);
#line 22
extern BYTE Hour;
extern BYTE Min;
extern BYTE Sec;
void UpdateClock(void);
#line 29
extern WORD MinClock;
extern WORD MinStart;
extern WORD MinEnd;
extern WORD MinCmp1e;
extern WORD MinCmp2e;
extern char InTimer;
extern char TimerSetOn;
void GetMinComp(void);
char CompTime(void);
#line 41
extern char CmdBuf[12];
extern BYTE CPtr;
void CmdProc(char ch);
#line 46
extern BYTE IrPhase;
extern BYTE IrBitCnt;
extern BYTE IrData;

char IrRcvData(void);
#line 53
extern BYTE BefKey;
extern BYTE KPValue;
extern BYTE KeyMatch;
extern char KeyDown;
extern char Repeating;
extern BYTE KeyInterval;
char KeyCheck(BYTE key, BYTE repeat_ena);
#line 64
void WriteEEParam(BYTE adrs, BYTE data);

void TxStr(char *str);
#line 17 "F:/___CQWORK/_WIZC12STD/109/ARSEN_USER.C"
#pragma __config 0x3F7F&0x3FEE&0x3FFB&0x3FFF&0x3FFF&0x3FF7&0x3FFF
#line 34
void ResetAlmCounter(void);
void SendData12(int setad);
char IrRcvData12(void);
void AckLedOn(void);
void SetAlerm(char on);

void PulseOut(void);
void Wait480us(void);
#line 44
WORD Count = 0;

signed char AlmTim;
signed char AlmCnt;
signed char BefAlmCnt;

bool EndSet;
bool RelayMode;
bool Master;
BYTE SetAdrs;
BYTE AdrVal;
#line 58
BYTE RcvData1, RcvData2;

bool TestMode = 1;

BYTE BlkCnt = 0;
bool LedSts = 0;
BYTE lc;

signed char LedOffDelay = -1;
signed char BuzOffDelay = -1;
#line 79
void UserInterrupt()
{

if((PIR1&(1<<CCP1IF))) {
(PIR1&=~(1<<CCP1IF));
AlmCnt--;
}

#pragma asmline SETPCLATH UserIntReturn,-1
#pragma asmline goto UserIntReturn
}
#line 97
void UserInitialise()
{
TRISB |= (1<<3);
CMCON = 7;
PORTA = 0;
PORTB = 0;
#line 105
PA.B1 = 1;
Wait(50);
PA.B1 = 0;

if((PORTB&(1<<3))) {
EndSet = 0;
} else {
EndSet = 1;
}
#line 116
AlmTim = 10;

SetAdrs = ((~PORTB>>4)&0x03);

if(SetAdrs == 0) {

Master = 1;
TestMode = 1;
} else {

Master = 0;
TestMode = 0;
}
#line 131
AdrVal = (~(SetAdrs << 2) & 0x0C) | SetAdrs;

ResetAlmCounter();

(PIE1|=(1<<CCP1IE));
(INTCON|=(1<<PEIE));
(INTCON|=(1<<GIE));

if(Master) {

SendData12(1);
Wait(2);
} else {

}
#line 148
}
#line 153
void UserLoop()
{
BYTE adrs;

if(IrRcvData12()) {
if((RcvData1 == 0x7F) && (RcvData2 == AdrVal)) {

AckLedOn();
if(Master) {

ResetAlmCounter();
Wait(5);
SendData12(1);
Wait(2);
} else {

Wait(5);
if(EndSet) {

SendData12(0);
} else {
SendData12(SetAdrs + 1);
}
Wait(2);
}
}
}
#line 182
if(BefAlmCnt != AlmCnt) {
BefAlmCnt = AlmCnt;

if(!TestMode) {

if((AlmCnt <= 0) && Master) {

SetAlerm(1);
}
if(LedOffDelay >= 0) {
LedOffDelay--;
if(LedOffDelay == -1) {
PA.B0 = 0;
}
}
} else {
#line 200
BlkCnt++;
if((BlkCnt & 0x0F) == 0) {

if(LedSts) {
PA.B0 = 1;
LedSts = 0;
} else {
PA.B0 = 0;
LedSts = 1;
}
}
if(BuzOffDelay >= 0) {
BuzOffDelay--;
if(BuzOffDelay == -1) {
PA.B1 = 0;
}
}
}
}
}
#line 227
void PressSw1()
{

SetAlerm(0);
TestMode = 0;
PA.B0 = 0;
Wait(500);
SendData12(1);
ResetAlmCounter();
}
#line 240
void PressSw2()
{
PA.B0 = 1;
BlkCnt = 0;

SetAlerm(0);
TestMode = 1;
Wait(500);
SendData12(1);
ResetAlmCounter();
}
#line 253
void ResetAlmCounter(void) {
(INTCON&=~(1<<GIE));
AlmCnt = AlmTim;
TMR2 = 0;
(INTCON|=(1<<GIE));
#pragma asmline NOP
}
#line 263
void AckLedOn(void) {
if(!TestMode) {

LedOffDelay = 1;
PA.B0 = 1;
} else {

BuzOffDelay = 1;

}
}
#line 278
void SetAlerm(char on) {
if(on) {

PA.B1 = 1;
PA.B2 = 1;
} else {

PA.B1 = 0;
PA.B2 = 0;
}
}
#line 294
void SendData12(int cmd) {
signed char i, j, ii;
BYTE data1, data2;

data1 = 0x7F;

data2 = (~cmd << 2) & 0x0C;
data2 |= cmd;

(INTCON&=~(1<<GIE));
#line 306
lc = 56;
PulseOut();
Wait480us();
#line 311
for(i = 7; i >= 0; i--) {
if((data1&(1<<i))) {

lc = 37;
PulseOut();
Wait480us();
} else {

lc = 19;
PulseOut();
Wait480us();
}
}

for(i = 3; i >= 0; i--) {
if((data2&(1<<i))) {

lc = 37;
PulseOut();
Wait480us();
} else {

lc = 19;
PulseOut();
Wait480us();
}
}

(INTCON|=(1<<GIE));
#pragma asmline NOP
}
#line 347
void PulseOut(void) {
#pragma asm 
LOOP:
BSF PORTA, 3
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP

BCF PORTA, 3
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
NOP
DECFSZ lc
GOTO LOOP
#pragma asmend 
}
#line 422
void Wait480us(void) {
TMR2 = 0;
PR2 = 36;
(PIR1&=~(1<<TMR2IF));
T2CON|=(1<<TMR2ON);
while(!(PIR1&(1<<TMR2IF))) { }
T2CON&=~(1<<TMR2ON);
}
#line 437
BYTE IrPhase = 0;
BYTE IrBitCnt;
BYTE IrData;
BYTE MajCount;

char IrRcvData12(void) {
switch(IrPhase) {
case 0:
if(!PA.B4) {

TMR2 = 0;
PR2 = 94;
(PIR1&=~(1<<TMR2IF));
T2CON|=(1<<TMR2ON);
IrPhase = 1;
}
break;

case 1:
if(!PA.B4) {

if((PIR1&(1<<TMR2IF))) {
#line 461
T2CON&=~(1<<TMR2ON);
TMR2 = 0;

(PIR1&=~(1<<TMR2IF));
T2CON|=(1<<TMR2ON);
IrPhase = 2;
}
} else {

T2CON&=~(1<<TMR2ON);
IrPhase = 0;
}
break;

case 2:
if((PIR1&(1<<TMR2IF))) {

T2CON&=~(1<<TMR2ON);
IrPhase = 0;
} else {
if(!!PA.B4) {
#line 484
T2CON&=~(1<<TMR2ON);

IrData = 0;
IrBitCnt = 0;
MajCount = 0;
TMR2 = 0;
PR2 = 47;
(PIR1&=~(1<<TMR2IF));
T2CON|=(1<<TMR2ON);
IrPhase = 3;
}
}
break;
#line 500
case 3:
if((PIR1&(1<<TMR2IF))) {

T2CON&=~(1<<TMR2ON);
IrPhase = 0;
} else {
if(!PA.B4) {

T2CON&=~(1<<TMR2ON);
TMR2 = 0;
PR2 = 54;
(PIR1&=~(1<<TMR2IF));
T2CON|=(1<<TMR2ON);
IrPhase = 4;
}
}
break;

case 4:
if((PIR1&(1<<TMR2IF))) {

T2CON&=~(1<<TMR2ON);
IrData <<= 1;
if(!PA.B4) {

IrData |= 1;
}

TMR2 = 0;
PR2 = 47;
(PIR1&=~(1<<TMR2IF));
T2CON|=(1<<TMR2ON);
IrPhase = 5;
}
break;

case 5:
if((PIR1&(1<<TMR2IF))) {

IrPhase = 0;
} else {
if(!!PA.B4) {
IrBitCnt++;
if(IrBitCnt < 8) {

TMR2 = 0;
PR2 = 47;
(PIR1&=~(1<<TMR2IF));
T2CON|=(1<<TMR2ON);
IrPhase = 3;
} else {
MajCount++;
if(MajCount > 1) {

IrPhase = 0;
RcvData2 = IrData;
return 1;
} else {

RcvData1 = IrData;
IrBitCnt = 4;
IrData = 0;

TMR2 = 0;
PR2 = 47;
(PIR1&=~(1<<TMR2IF));
T2CON|=(1<<TMR2ON);
IrPhase = 3;
}
}
}
}
break;
}
return 0;
}
